Loading...
Searching...
No Matches
gsm0808_speech_codec Struct Reference

3GPP TS 48.008 3.2.2.104 Speech Codec More...

`#include <gsm_08_08.h>`

## Data Fields

bool | fi
bool | pi
bool | pt
bool | tf
uint8_t | type
| See enum gsm0808_speech_codec_type.
uint16_t | cfg
| For examples, see enum gsm0808_speech_codec_defaults.

## Detailed Description

3GPP TS 48.008 3.2.2.104 Speech Codec

## Field Documentation

## cfg

uint16_t gsm0808_speech_codec::cfg

For examples, see enum gsm0808_speech_codec_defaults.

## fi

bool gsm0808_speech_codec::fi

## pi

bool gsm0808_speech_codec::pi

## pt

bool gsm0808_speech_codec::pt

## tf

bool gsm0808_speech_codec::tf

## type

uint8_t gsm0808_speech_codec::type

See enum gsm0808_speech_codec_type.

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_08.h